Home Foto's

Kan Joomla! 1.5 gebruikt worden met PHP Safe Mode aan?

Ja het kan! Dit is een aanzienlijke verbetering van de veiligheid.

De Safe mode limiteert PHP om enkel acties uit te voeren op bestanden/mappen waarvan de eigenaar gelijk is aan die van PHP (dit is meestal 'apache'). Aangezien bestanden normaliter worden aangemaakt door ofwel een Joomla! applicatie ofwel via FTP-toegang laat de combinatie van PHP bestandsacties en de FTP-laag toe dat Joomla! functioneert in PHP Safe Mode.